Hi,

I found that my dynabook needs the same workaround in the
synapics driver as the satellites. In a nutshell, without
this patch, after any mouse events my keyboard events do 
not get processed for 1-2 seconds, and the keyboard erraticlly
repeats chracaters. With this patch everything seems fine.
I guess something just can't keep up with the mouse events.

For refereance, the DMI information of the machine is:

DMI 2.3 present.
41 structures occupying 1260 bytes.
DMI table at 0x000EC000.
BIOS Vendor: TOSHIBA
BIOS Version: Version 1.10
BIOS Release: 12/01/2004
System Vendor: TOSHIBA
Product Name: dynabook SS M10 11L/2
Version: PPM1011L2HA3K
Serial Number: 45018857J
Board Vendor: TOSHIBA
Board Name: Portable PC
Board Version: Version A0

Signed-off-by: Simon Horman <horms@valinux.co.jp>

Index: dmitry/drivers/input/mouse/synaptics.c
===================================================================
--- dmitry.orig/drivers/input/mouse/synaptics.c	2005-07-05 16:23:15.000000000 +0200
+++ dmitry/drivers/input/mouse/synaptics.c	2005-07-05 16:26:07.000000000 +0200
@@ -608,6 +608,13 @@
 			DMI_MATCH(DMI_PRODUCT_NAME , "Satellite"),
 		},
 	},
+	{
+		.ident = "Toshiba Dynabook",
+		.matches = {
+			DMI_MATCH(DMI_SYS_VENDOR, "TOSHIBA"),
+			DMI_MATCH(DMI_PRODUCT_NAME , "dynabook"),
+		},
+	},
 	{ }
 };
 #endif
@@ -656,7 +663,7 @@
 	 * thye same as rate of standard PS/2 mouse.
 	 */
 	if (psmouse->rate >= 80 && dmi_check_system(toshiba_dmi_table)) {
-		printk(KERN_INFO "synaptics: Toshiba Satellite detected, limiting rate to 40pps.\n");
+		printk(KERN_INFO "synaptics: Toshiba Satellite or Dynabook detected, limiting rate to 40pps.\n");
 		psmouse->rate = 40;
 	}
 #endif
